fields

## Class AField

- java.lang.Object
- - fields.AField

- All Implemented Interfaces:
    Field

      public class AField
      extends java.lang.Object
      implements Field

  Model for the WM-Bus A-Field
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private DeviceType` | `deviceType`
    `private java.lang.String` | `serial`
    `private java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AField()`
    `AField(java.lang.String serial, java.lang.String hexVersion, DeviceType deviceType)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Byte>` | `getBytes()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
    `java.util.List<java.lang.Byte>` | `getBytesInTxOrder()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
    `DeviceType` | `getDeviceType()`
    `java.lang.Byte` | `getDeviceTypeByte()`
    `java.lang.String` | `getSerial()`
    `java.lang.Byte[]` | `getSerialByte()`
    `java.lang.String` | `getVersion()`
    `java.lang.Byte` | `getVersionByte()`
    `void` | `setDeviceType(java.lang.Byte deviceType)`
    `void` | `setDeviceType(DeviceType deviceType)`
    `void` | `setSerial(java.lang.String serial)`
    `void` | `setVersion(java.lang.String version)`
    `static boolean` | `validateSerial(java.lang.String serial)`
    `static boolean` | `validateVersion(java.lang.String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deviceType

          private DeviceType deviceType

    - #### serial

          private java.lang.String serial

    - #### version

          private java.lang.String version

  - ### Constructor Detail

    - #### AField

          public AField()

    - #### AField

          public AField(java.lang.String serial,
                        java.lang.String hexVersion,
                        DeviceType deviceType)

  - ### Method Detail

    - #### getBytes

          public java.util.List<java.lang.Byte> getBytes()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
      Specified by:
        `getBytes` in interface `Field`
      Returns:
        List of Bytes representing this field, MSB first

    - #### getBytesInTxOrder

          public java.util.List<java.lang.Byte> getBytesInTxOrder()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
      Specified by:
        `getBytesInTxOrder` in interface `Field`
      Returns:
        List of Bytes representing this field, LSB first

    - #### getDeviceType

          public DeviceType getDeviceType()

    - #### getDeviceTypeByte

          public java.lang.Byte getDeviceTypeByte()

    - #### getSerial

          public java.lang.String getSerial()

    - #### getSerialByte

          public java.lang.Byte[] getSerialByte()

    - #### getVersion

          public java.lang.String getVersion()

    - #### getVersionByte

          public java.lang.Byte getVersionByte()

    - #### setDeviceType

          public void setDeviceType(java.lang.Byte deviceType)

    - #### setDeviceType

          public void setDeviceType(DeviceType deviceType)

    - #### setSerial

          public void setSerial(java.lang.String serial)

    - #### setVersion

          public void setVersion(java.lang.String version)

    - #### validateSerial

          public static boolean validateSerial(java.lang.String serial)

    - #### validateVersion

          public static boolean validateVersion(java.lang.String version)